PETSc version 3.15.5
Fix/Edit manual page

# PetscSegBufferGetSize

get currently used size of segmented buffer

### Synopsis

    PetscErrorCode PetscSegBufferGetSize(PetscSegBuffer seg,size_t *usedsize)

Not Collective

### Input Arguments

| seg | - segmented buffer object

### Output Arguments

| usedsize | - number of used units

### See Also

PetscSegBufferExtractAlloc(), PetscSegBufferExtractTo(), PetscSegBufferCreate(), PetscSegBufferGet()

### Level

developer

### Location

src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages